Runners
Soda Cloud API Runner Endpoints
This endpoint allows you to list runners in your organization.
This GET is a paginated API that uses the following parameters to request specific details:
size: Supply an integer value between 10 and 1000, inclusive. The default value is 10.page: Supply an integer value. The default value is 0.
Authentication
User authentication required: true
This endpoint accepts authentication via API keys in the Basic authentication header, or a pre-authenticated token in HTTP cookie token. Cookie sessions extend automatically on each request.
Tags
Runners
Rate limiting
60 requests/60 seconds
Successful response
Bad request
Unauthorized
Forbidden
Too many requests
Internal server error
GET /api/v1/runners HTTP/1.1
Host: cloud.soda.io
Authorization: Basic username:password
Accept: */*
{
"content": [
{
"id": "text",
"isOnline": true,
"label": "text",
"lastSeenTimestamp": "2026-01-01T00:00:00.000Z",
"name": "text",
"type": "SELF_HOSTED",
"versions": {
"library": "text",
"runner": "text"
}
}
],
"first": true,
"last": true,
"number": 1,
"size": 1,
"totalElements": 1,
"totalPages": 1
}Creates an API key for a new self-hosted runner deployment.
Returns the API key credentials (id and secret) to configure the runner. The credentials are only returned at creation time and cannot be retrieved later, so make sure to store them securely.
After creation the runner does not immediately become visible in Soda Cloud. The runner needs to registers itself using the API key credentials before it becomes available.
See deployment instructions for setting up the runner.
Authentication
User authentication required: true
This endpoint accepts authentication via API keys in the Basic authentication header, or a pre-authenticated token in HTTP cookie token. Cookie sessions extend automatically on each request.
Authorization
Users must have global role permission MANAGE_DATASOURCES_AND_AGENTS to execute this call.
Tags
Runners
Rate limiting
10 requests/60 seconds
Successful response
Bad request
Unauthorized
Forbidden
Too many requests
Internal server error
POST /api/v1/runners HTTP/1.1
Host: cloud.soda.io
Authorization: Basic username:password
Accept: */*
{
"apiKeyId": "text",
"apiKeySecret": "text"
}This endpoint allows you to retrieve a specific runner by its ID.
Authentication
User authentication required: true
This endpoint accepts authentication via API keys in the Basic authentication header, or a pre-authenticated token in HTTP cookie token. Cookie sessions extend automatically on each request.
Tags
Runners
Rate limiting
1000 requests/60 seconds
Successful response
Bad request
Unauthorized
Forbidden
Not found
Too many requests
Internal server error
GET /api/v1/runners/{runnerId} HTTP/1.1
Host: cloud.soda.io
Authorization: Basic username:password
Accept: */*
{
"runner": {
"id": "text",
"isOnline": true,
"label": "text",
"lastSeenTimestamp": "2026-01-01T00:00:00.000Z",
"name": "text",
"type": "SELF_HOSTED",
"versions": {
"library": "text",
"runner": "text"
}
}
}This endpoint allows you to delete a specific self-hosted runner by its ID. If the runner is still in use, the request will fail with a 400 Bad Request response.
Soda-hosted and virtual runners cannot be deleted through this endpoint.
Authentication
User authentication required: true
This endpoint accepts authentication via API keys in the Basic authentication header, or a pre-authenticated token in HTTP cookie token. Cookie sessions extend automatically on each request.
Authorization
Users must have global role permission MANAGE_DATASOURCES_AND_AGENTS to execute this call.
Tags
Runners
Rate limiting
10 requests/60 seconds
Successful response
Bad request
Unauthorized
Forbidden
Not found
Too many requests
Internal server error
DELETE /api/v1/runners/{runnerId} HTTP/1.1
Host: cloud.soda.io
Authorization: Basic username:password
Accept: */*
{}Last updated
Was this helpful?
